<?xml version="1.0" encoding="utf-8"?>
<controls>
	<!-- 相对布局 -->	
	<!-- TAB页 -->
	<control name = "TAB页">
		<attr name = "标题" default="TAB页1"></attr>
	</control>
	
	<control name = "布局">
		<attr name = "备注" default="垂直布局 或 水平布局"></attr>
		<attr name = "Id" default="Layout1"></attr>
		<attr name = "类型" default="垂直布局"></attr>
		<attr name = "高度"></attr>
		<attr name = "宽度"></attr>
		<attr name = "可见" default="true"></attr>
		<attr name = "背景颜色"></attr>
		<attr name = "位置"></attr>
		<attr name = "边距" ></attr>
	</control>
	
	<!-- 按钮 -->
	<control name = "按钮">
		<attr name = "Id" default="button1"></attr>
		<attr name = "标题" default="按钮"></attr>
		<attr name = "字体大小" default="12"></attr>
		<attr name = "字体颜色"></attr>
		<attr name = "背景颜色"></attr>
		<attr name = "高度" default="22"></attr>
		<attr name = "宽度" default="-2"></attr>
		<attr name = "点击事件" default=""></attr>
		<attr name = "可见" default="true"></attr>
		<attr name = "位置"></attr>
		<attr name = "文本位置"></attr>
		<attr name = "边距"></attr>
	</control>
	
	<!-- 标签 -->
	<control name = "标签">
		<attr name = "Id" default="Label1"></attr>
		<attr name = "标题" default="标签"></attr>
		<attr name = "字体大小" default="12"></attr>
		<attr name = "字体颜色"></attr>
		<attr name = "背景颜色"></attr>
		<attr name = "高度" default="20"></attr>
		<attr name = "宽度" default="-2"></attr>
		<attr name = "文本位置"></attr>
		<attr name = "可见" default="true"></attr>
		<attr name = "边距"></attr>
	</control>
	
	<!-- 编辑框 -->
	<control name = "输入框">
		<attr name = "Id" default="text1"></attr>
		<attr name = "提示文本" default="输入框"></attr>
		<attr name = "默认文本" default="默认"></attr>
		<attr name = "输入类型" default="文本型"></attr>
		<attr name = "字体大小" default="11"></attr>
		<attr name = "字体颜色"></attr>
		<attr name = "高度" default="18"></attr>
		<attr name = "宽度" default="-2"></attr>
		<attr name = "可见" default="true"></attr>
		<attr name = "边距" default="0|0|0|0"></attr>
	</control>
	
	<!-- 图片框 -->
	<control name = "图片框">
		<attr name = "Id" default="Image1"></attr>
		<attr name = "标题" default="图片框"></attr>
		<attr name = "边距" ></attr>
		<attr name = "路径" default="main.png"></attr>
		<attr name = "可见" default="true"></attr>
		<attr name = "高度" default="-2"></attr>
		<attr name = "宽度" default="-2"></attr>
		<attr name = "位置"></attr>
	</control>
	
	<!-- 复选框 -->
	<control name = "多选框">
		<attr name = "Id" default="CheckBox1"></attr>
		<attr name = "标题" default="多选框"></attr>
		<attr name = "选中" default="false"></attr>
		<attr name = "可见" default="true"></attr>
		<attr name = "字体大小" default="12"></attr>
		<attr name = "字体颜色"></attr>
		<attr name = "点击事件" default=""></attr>
		<attr name = "高度" default="20"></attr>
		<attr name = "宽度" default="-2"></attr>
		<attr name = "位置"></attr>
		<attr name = "边距" default="0|0|0|0"></attr>
	</control>
	
	<control name = "下拉框">
		<attr name = "Id" default="Select1"></attr>
		<attr name = "标题" default="下拉框"></attr>
		<attr name = "列表" default="选项1|选项2|选项3"></attr>
		<attr name = "可见" default="true"></attr>
		<attr name = "默认值" default="0"></attr>
		<attr name = "高度" default="22"></attr>
		<attr name = "宽度" default="100"></attr>
		<attr name = "位置"></attr>
		<attr name = "点击事件" default="config_sl1.txt"></attr>
		<attr name = "边距" default="0|0|0|0"></attr>
	</control>
	
	<!-- 拥有默认值的属性 -->
	<attrvalues>
		<attr name="选中">
			<value>true</value>	
			<value>false</value>	
		</attr>	
		
		<attr name="可见">
			<value>true</value>
			<value>false</value>
		</attr>
		<attr name="输入类型">
            <value>文本型</value>
			<value>数字型</value>
			<value>密码型</value>
		</attr>
		<attr name="字体颜色">
            <value>#ffffff</value>
			<value>#000000</value>
		</attr>
		<attr name="背景颜色">
            <value>#ffffff</value>
			<value>#000000</value>
		</attr>
		<attr name="位置">
            <value>左边</value>
			<value>右边</value>
			<value>顶部</value>
			<value>底部</value>
			<value>水平居中</value>
			<value>垂直居中</value>
			<value>居中</value>
		</attr>
		<attr name="边距">
            <value>0|0|0|0</value>
		</attr>
		<attr name="文本位置">
            <value>左边</value>
			<value>右边</value>
			<value>居中</value>
		</attr>
	</attrvalues>
</controls>

